*:*****************************************************************************
*:
*: Procedure file: E:\MAILMERG\POPAPICK.PRG
*:
*:         System: Mail Merge
*:         Author: Phil Barnett
*:      Copyright (c) NONE, Donated to Public Domain June 1994
*:  Last modified: 06/26/94     23:50
*:
*:  Procs & Fncts: POPAPICK()
*:
*:      Documented 06/26/94 at 23:50                SNAP!  version 5.02
*:*****************************************************************************
#include "common.ch"
#include "box.ch"
*!*****************************************************************************
*!
*!       Function: POPAPICK()
*!
*!      Called by: MEMO_FUNC()        (function  in MERGEDIT.PRG, called from MemoEdit())
*!
*!*****************************************************************************
function POPAPICK( top, left, BOT, right, array, title, Color )

local WHICHONE, INCOLOR, INSCREEN

Default title to ''
Default Color to 'BG+/B'

INCOLOR := setcolor( Color )

INSCREEN := Savescreen( top, left, BOT, right )

dispbox( top, left, BOT, right, B_SINGLE + ' ' )
if !Empty( title )
   setcolor( 'GR+/R' )
   @ top, ( left + ( ( right - left ) / 2 ) ) - ( len( title ) / 2 ) ;
      say ' ' + alltrim( title ) + ' '
endif

setcolor( Color )

WHICHONE = achoice( top + 1, left + 1, BOT - 1, right - 1, array )

setcolor( INCOLOR )
restscreen( top, left, BOT, right, INSCREEN )

return iif( lastkey() <> 13, 0, WHICHONE )

*: EOF: POPAPICK.PRG
